aboutsummaryrefslogtreecommitdiff
path: root/lint
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:04:48 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:04:48 +1300
commit805f90b6e49e258f2b3642d02e4a11db2dc68634 (patch)
tree3677d74bcf6742718204f28ad25c58c0abea3073 /lint
parentCorrect misleading output for `lint-bin` (diff)
downloaddotfiles-805f90b6e49e258f2b3642d02e4a11db2dc68634.tar.gz
dotfiles-805f90b6e49e258f2b3642d02e4a11db2dc68634.zip
Show explicit success message for `lint-bin`
We add an `|| exit` short-circuit for the case of `shellcheck` exiting non-zero.
Diffstat (limited to 'lint')
-rw-r--r--lint/bin.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/lint/bin.sh b/lint/bin.sh
index 16facb6a..db74c3dd 100644
--- a/lint/bin.sh
+++ b/lint/bin.sh
@@ -2,4 +2,5 @@ set --
for sh in bin/*.sh ; do
set "$@" "${sh%.sh}"
done
-shellcheck -e SC1090 -- "$@"
+shellcheck -e SC1090 -- "$@" || exit
+printf 'sh(1) binscripts linted successfully.\n'